Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.plugin.admin
Class WebAdminPlugin

    java.lang.Object
      org.blojsom.plugin.admin.BaseAdminPlugin
          org.blojsom.plugin.admin.WebAdminPlugin

All Implemented Interfaces:
  PermissionedPlugin, Plugin

Direct Known Subclasses:
  FeedImportPlugin, IPAddressModerationAdminPlugin, MacroExpansionAdminPlugin, MoblogAdminPlugin, SpamPhraseModerationAdminPlugin, ThemeSwitcherPlugin

public abstract class WebAdminPlugin
extends BaseAdminPlugin

Web Admin Plugin

Since:
  blojsom 3.0
Version:
  $Id: WebAdminPlugin.java,v 1.1 2006/03/20 21:30:44 czarneckid Exp $
Author:
  David Czarnecki

Field Summary

Fields inherited from class org.blojsom.plugin.admin.BaseAdminPlugin
`_authorizationProvider, _ignoreParams, _logger, _resourceManager, _servletConfig, ACTION_PARAM, ADMIN_ADMINISTRATION_PAGE, ADMIN_AJAX_RESPONSE, ADMIN_LOGIN_PAGE, BLOJSOM_ADMIN_MESSAGES_RESOURCE, BLOJSOM_ADMIN_PLUGIN_AUTHENTICATED_KEY, BLOJSOM_ADMIN_PLUGIN_OPERATION_RESULT, BLOJSOM_ADMIN_PLUGIN_PASSWORD_PARAM, BLOJSOM_ADMIN_PLUGIN_USERNAME, BLOJSOM_ADMIN_PLUGIN_USERNAME_KEY, BLOJSOM_ADMIN_PLUGIN_USERNAME_PARAM, BLOJSOM_PERMISSION_CHECKER, BLOJSOM_USER_AUTHENTICATED, LOGIN_ACTION, LOGIN_ERROR_TEXT_KEY, LOGOUT_ACTION, PAGE_ACTION, PLUGIN_ADMIN_INHERIT_APACHE_CREDENTIALS, SUBACTION_PARAM`

Constructor Summary
`WebAdminPlugin()`

Method Summary
`abstract java.lang.String` | `getDisplayName()` Return the display name for the plugin
`abstract java.lang.String` | `getInitialPage()` Return the name of the initial editing page for the plugin
`Entry[]` | `process(javax.servlet.http.HttpServletRequest httpServletRequest, javax.servlet.http.HttpServletResponse httpServletResponse, Blog blog, java.util.Map context, Entry[] entries)` Process the blog entries

Methods inherited from class org.blojsom.plugin.admin.BaseAdminPlugin
`addOperationResultMessage, authenticateUser, checkPermission, cleanup, destroy, formatAdminResource, getAdminResource, getUsernameFromSession, init, setAuthorizationProvider, setResourceManager, setServletConfig`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebAdminPlugin

    public WebAdminPlugin()

Method Detail

### getDisplayName

    public abstract java.lang.String getDisplayName()

  Return the display name for the plugin

  Returns:
    Display name for the plugin

### getInitialPage

    public abstract java.lang.String getInitialPage()

  Return the name of the initial editing page for the plugin

  Returns:
    Name of the initial editing page for the plugin

### process

    public Entry[] process(javax.servlet.http.HttpServletRequest httpServletRequest,
                           javax.servlet.http.HttpServletResponse httpServletResponse,
                           Blog blog,
                           java.util.Map context,
                           Entry[] entries)
                    throws PluginException

  Process the blog entries

  Specified by:
    `process` in interface `Plugin`
  Overrides:
    `process` in class `BaseAdminPlugin`
  Parameters:
    `httpServletRequest` - Request
    `httpServletResponse` - Response
    `blog` - `Blog` instance
    `context` - Context
    `entries` - Blog entries retrieved for the particular request
  Returns:
    Modified set of blog entries
  Throws:
    `PluginException` - If there is an error processing the blog entries

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD